DETECT-CHANGELOG-BEHAVIOUR(1)

NAME
detect-changelog-behaviour - Detect changelog update behaviour

SYNOPSIS
detect-changelog-behaviour [OPTIONS] [DIRECTORY]

DESCRIPTION
detect-changelog-behaviour inspects a Debian package's version control configuration (e.g. gbp.conf) and heuristics to determine whether the changelog is managed automatically (e.g. by "gbp dch") or manually updated. It prints "true" if the changelog should be updated, or "false" if it is managed automatically, and exits with a non-zero status if it cannot determine the behaviour.

  positional arguments:

DIRECTORY
    The directory to check. Defaults to the current directory.

  optional arguments:

-h, --help
    Show this help message and exit.

-V, --version
    Show program's version number and exit.

--verbose
    Be verbose.

SEE ALSO
lintian-brush(1)

AUTHORS
Jelmer Vernooij <jelmer@debian.org>